Description

Hi, it would be really nice to have ability to set default time zone (for newly created users) somewhere in redmine admin.

Coz 99% od users I'm adding are from Prague (or Czech Republic :), so everytime I'm adding users, I have to find our timezone in a

looong list.

Configurable timezone can prepopuate this filed - big timesaver!

PS: also it can be done via detecting current browser's timezone (not sure if this is possible), but the first solution will be easier,

IMHO.

Related issues:

Related to Redmine - Feature #12444: Ability to "set as default" settings whe... New

Associated revisions

Revision 16200 - 2017-01-15 13:52 - Jean-Philippe Lang

Add default timezone for new users (#16484).

History

#1 - 2015-10-13 18:29 - Sudhir B

+1

#2 - 2016-03-29 11:19 - Michal Dlouhy

+1

#3 - 2016-03-29 12:11 - Toshi MARUYAMA

- Related to Feature #12444: Ability to "set as default" settings when creating users added

#4 - 2016-12-14 11:14 - Maxim Krušina

still +1 :)

#5 - 2016-12-16 18:10 - Jan from Planio www.plan.io

- Assignee set to Jan from Planio www.plan.io

We had built this for Planio a long time ago but it somehow never made it as a patch to Redmine.

I'll prepare one!

#6 - 2016-12-17 12:39 - Jan from Planio www.plan.io

- File 0001-Default-time-zone-for-new-users.patch added

- Assignee deleted (Jan from Planio www.plan.io)

Here it comes, looking forward to your feedback!

#7 - 2016-12-17 13:03 - Maxim Krušina

Thanx a lot, Jan!

#8 - 2016-12-18 04:03 - Mischa The Evil
Jan from Planio www.plan.io wrote:

Here it comes, looking forward to your feedback!

 Hi Jan, at first, thanks for sharing your solution. Second, I noticed the (direct) message(s) to ActiveSupport::TimeZone in the patch and wondered if

it/they could be refactored to make use of the time_zone_select specific helper to make the implementation more in line with the one used for the

users/_preferences.html.erb template (r9744)? I'm not sure though whether or not the helper is available for use in the settings/_general.html.erb

template. However, I'm not able to try this myself at the moment, so I have to keep it with this comment. I hope it is of any use... ;)

#9 - 2016-12-18 10:14 - Go MAEDA

- Target version set to Candidate for next major release

#10 - 2016-12-22 05:27 - Go MAEDA

- Assignee set to Jan from Planio www.plan.io

Jan, could you have a look at  Mischa's comment? (#16484#note-8)

#11 - 2016-12-22 12:15 - Jan from Planio www.plan.io

- Assignee deleted (Jan from Planio www.plan.io)

Mischa The Evil wrote:

Second, I noticed the (direct) message(s) to ActiveSupport::TimeZone in the patch and wondered if it/they could be refactored to make use of

the time_zone_select specific helper to make the implementation more in line with the one used for the users/_preferences.html.erb template (

r9744)?

 Thanks! I thought about that, but wanted to be more consistent with the rest of the settings by using the setting_* helpers.

#12 - 2016-12-23 05:20 - Go MAEDA

- Target version changed from Candidate for next major release to 3.4.0

#13 - 2016-12-25 04:49 - Mischa The Evil

Jan from Planio www.plan.io wrote:

Mischa The Evil wrote:

[...]

 Thanks! I thought about that, but wanted to be more consistent with the rest of the settings by using the setting_* helpers.

 I see. That makes perfect sense to me.

#14 - 2017-01-15 13:55 - Jean-Philippe Lang

- Subject changed from Add default timezone to Redmine config to Add default timezone for new users

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Since it's a default value for new users, I've reworked the patch a bit to make it on par with the existing default_users_hide_mail setting. The setting is

added to the "Default values for new users" block in application settings (Authentification tab).

Thanks.

Files

0001-Default-time-zone-for-new-users.patch 4.8 KB 2016-12-17 Jan from Planio www.plan.io
